Create a test
curl --request POST \
--url https://tester.army/api/v1/tests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"steps": [
{
"title": "<string>",
"type": "act",
"disabled": true
}
],
"projectId": "<string>",
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"webSearchEnabled": true,
"prepGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"enabled": true
}
'import requests
url = "https://tester.army/api/v1/tests"
payload = {
"title": "<string>",
"steps": [
{
"title": "<string>",
"type": "act",
"disabled": True
}
],
"projectId": "<string>",
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"webSearchEnabled": True,
"prepGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
steps: [{title: '<string>', type: 'act', disabled: true}],
projectId: '<string>',
description: '<string>',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
settings: {webSearchEnabled: true, prepGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
enabled: true
})
};
fetch('https://tester.army/api/v1/tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"test": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"steps": [
{
"title": "<string>",
"type": "act",
"disabled": true
}
],
"description": "<string>",
"enabled": true,
"platform": "web",
"settings": {
"executionMode": "fast",
"browserRegion": "eu",
"simulatorRegion": "eu-north1",
"viewport": "desktop",
"webSearchEnabled": true,
"prepGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectUrl": "<string>",
"projectName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Create a structured test definition for a project.
POST
/
v1
/
tests
Create a test
Authorizations
API key authentication using Bearer token format
Body
application/json
Required string length:
1 - 500Required array length:
1 - 30 elements- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
Available options:
web, mobile Show child attributes
Show child attributes
Response
Test created
Show child attributes
Show child attributes